Versions archivées

Version 3.5.011

Cette version Opale 3.5 (numéro interne : 3.5.011) est sortie le 20 novembre 2014, basée sur Scenari 4.1.0.09. Elle apporte plusieurs nouveautés par rapport à Opale 3.4, par exemple :

  • Intégration d'un moteur de recherche dans les publications web

  • Amélioration de l'accessibilité (dans le cadre du projet CAPA)

  • Amélioration de la compatibilité SCORM

  • En option, une nouvelle charte graphique expérimentale "Aurora", qui exploite les évolutions de la norme HTML (compatible navigateurs récents seulement)

Remarques utiles :

  • Vous devez installer LibreOffice 4.3.2 ou supérieur pour publier les documents papier ou des documents web qui embarquent des ressources OpenDocument

  • Après installation, si vous récupérez des contenus depuis Opale 3.4 ou une version plus ancienne, vous devez suivre la procédure de migration des contenus de votre atelier. Si vous vous retrouvez avec plein de croix rouges dans vos contenus après leur chargement dans Opale 3.5 dans cette version, pas de panique, il faut juste exécuter cette étape correctement.

  • Pensez à faire des sauvegardes régulières des contenus de votre atelier (fonction "exporter l'atelier"). Sauvegarder uniquement les documents publiés n'est pas suffisant pour pouvoir continuer à modifier le document. (Ou sur un SCENARIserver de demander à votre administrateur de vérifier qu'il soit bien configuré pour des sauvegardes automatiques)

  • En cas de problème d'installation, n'hésitez pas à vous exprimer sur le forum Opale

Application autonome

"OpaleApp"est une application autonome pour utiliser Opale sans avoir besoin d'installer d'autres programmes ou fichiers Scenari. Recommandé si vous ne savez pas quel fichier choisir : cliquez sur le nom de votre système d'exploitation, puis lancez l'installation.

Windows
Linux

Pour la méthode par package ubuntu et debian, vous serez redirigé sur une page explicative. Utilisez l'exemple "Procédure pour installer une SCENARIapp" avec "opale3.5.fr-fr" en nom de SCENARIapp.

Installeur ubuntu et debian

Installeur autres distributions (32bits) , Installeur autres distributions (64bits)

Mac

Si vous utilisez MacOS X 10.10, merci de bien consulter le lien suivant de problèmes connus

Installeur

wsppack

Ce mode d'installation nécessite de comprendre le rôle des fichiers wsppacks et la différence entre le mode starter et advanced. Ce pack s'installe dans SCENARIchain 4.1.0.09, que vous pouvez trouver sur l'espace principal de téléchargement du site web Scenari.

Starter
Advanced

sources

Ce mode d'installation est réservé aux personnes sachant installer SCENARIbuilder. Vous devez utiliser SCENARIbuilder 4.0 ou supérieur pour exploiter les sources de cette version du modèle Opale et subversion pour les télécharger.

Dépôt SVN

Version 4.1.0.09

La version 4.1.0.09, est sortie le 1 juillet 2014.

C'est la 2eme version stable de la série "4.1". Pour son utilisation, veillez bien à utiliser des wsppacks compatibles (la page de téléchargement des packs doit faire référence à Scenari 4.1).

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer LibreOffice 4.3.2 ou supérieur.

Windows

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Mac

Si vous utilisez MacOS X 10.10, merci de bien consulter le lien suivant de problèmes connus

Outil de saisie autonome pour les auteurs

Outil client de saisie en mode serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.1.0.08

La version 4.1.0.08, est sortie le 1 juillet 2014.

C'est la première version stable de la série "4.1". Pour son utilisation, veillez bien à utiliser des wsppacks compatibles (la page de téléchargement des packs doit faire référence à Scenari 4.1, dans le cas contraire vous avez probablement besoin de la version 4.0 ci-après, de nouvelles versions compatibles 4.1 sortirons par la suite).

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer LibreOffice 4.1 ou supérieur.

Les nouvelles fonctionnalités sont décrits dans le document "Note de version Scenari 4.1" (une partie de ces fonctionnalités concerne uniquement SCENARIserver).

Windows

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Mac

Outil de saisie autonome pour les auteurs

Outil client de saisie en mode serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.1.0.6

La version 4.1.006 beta de la suite Scenari est disponible depuis le 25 février 2014.

Windows

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Mac

Outil de saisie autonome pour les auteurs

Outil client de saisie en mode serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.0.6.01

La version 4.0.6.01, est sortie le 24 avril 2014. La série 4.0 est "l'ancienne" version des outils Scenari, mais elle est toujours très utilisée aujourd'hui pour sa compatibilité avec beaucoup de modèles. Par la suite, elle sera déplacée dans les "versions archivées".

Cette version apporte la compatibilité avec Ubuntu 14.04 et quelques corrections mineures.

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer OpenOffice.org 3.3.

De manière expérimentale, LibreOffice (3.6, 4.0) et OpenOffice (3.4) devraient pouvoir également fonctionner.

Windows

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Mac

Outil de saisie autonome pour les auteurs

Outil client de saisie en mode serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.0.6.00

La version 4.0.6.00, est sortie le 24 février 2014.

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer OpenOffice.org 3.3 .

De manière expérimentale, LibreOffice (3.6, 4.0) et OpenOffice (3.4) devraient pouvoir également fonctionner.

Windows

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

Outil de saisie autonome pour les auteurs

Mode client-serveur Lite

Mode client-serveur

Mode démo du client-serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Mac

Outil de saisie autonome pour les auteurs

Outil client de saisie en mode serveur

Outils de conception des modèles

Outils de conception de styles graphiques

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.0.5

La version 4.0.5.00, est sortie le 13 juin 2013.

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer OpenOffice.org 3.3 .

De manière expérimentale, LibreOffice (3.6, 4.0, 4.1) et OpenOffice (3.4) devraient pouvoir également fonctionner.

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

SCENARIbuilder (32bits) -SCENARIbuilder (64 bits) SCENARIkit

SCENARIchain (32bits) SCENARIchain (64 bits)

SCENARIclient (32bits) SCENARIclient (64 bits)

SCENARIserverLite (32 bits) SCENARIserverLite (64 bits)

SCENARIserver (32 bits)SCENARIserver (64 bits) (SCENARIbatch)

SCENARIdemoServer (32 bits) SCENARIdemoServer (64 bits)

SCENARIstyler

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.0.4.10

La version 4.0.4.10, est sortie le 19 mars 2013.

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer OpenOffice.org 3.3 .

De manière expérimentale, LibreOffice (3.6) et OpenOffice (3.4) devraient pouvoir également fonctionner, les versions plus récentes ne sont pas supportées pour le moment.

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

SCENARIbuilder (32bits) -SCENARIbuilder (64 bits) SCENARIkit

SCENARIchain (32bits) SCENARIchain (64 bits)

SCENARIclient (32bits) SCENARIclient (64 bits)

SCENARIserverLite (32 bits) SCENARIserverLite (64 bits)

SCENARIserver (32 bits)SCENARIserver (64 bits) (SCENARIbatch)

SCENARIdemoServer (32 bits) SCENARIdemoServer (64 bits)

SCENARIstyler

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 4.0.4

La version 4.0.400, est sortie le 11 décembre 2012.

Si vous utilisez des modèles générant ou exploitant des fichiers OpenDocument, vous devez installer OpenOffice.org 3.3 .

De manière expérimentale, LibreOffice (3.6) et OpenOffice (3.4) devraient pouvoir également fonctionner, les versions plus récentes ne sont pas supportées.

Linux

Il existe 2 méthodes d'installation des programmes Scenari

  • Source de package .deb pour les distributions Ubuntu et Debian (plus simple à installer si vous utilisez ces distributions)

  • Téléchargement manuel des fichiers ci-dessous

Consultez les pages suivantes pour en savoir plus :

SCENARIbuilder (32bits) -SCENARIbuilder (64 bits) SCENARIkit

SCENARIchain (32bits) SCENARIchain (64 bits)

SCENARIclient (32bits) SCENARIclient (64 bits)

SCENARIserverLite (32 bits) SCENARIserverLite (64 bits)

SCENARIserver (32 bits)SCENARIserver (64 bits) (SCENARIbatch)

SCENARIdemoServer (32 bits) SCENARIdemoServer (64 bits)

SCENARIstyler

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.2.00

La version 3.7.2.00, troisième version stable de la série 3.7, est sortie le 31/01/2012.

  • La version 3.7 a été remplacée par Scenari 4.0 en décembre 2012 mais vous pourriez éventuellement avoir besoin de cette version pour utiliser d'anciens packs.

  • Nécessite OpenOffice 3.3 si vous utilisez des modèles de documents qui travaillent avec des fichiers OpenDocument

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatible avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous utilisez le téléchargement du premier fichier .tgz ci dessous, vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

Cette version et les versions plus anciennes ne sont plus compatibles avec Ubuntu 13.04 et d'autres distributions intégrant une version récente de la librairie "glib".

SCENARIbuilder (32bits) - Pack Modeling - Pack Assessment - SCENARIkit

SCENARichain (32bits)

SCENARIclient (32bits)

SCENARIserver

SCENARIstyler

Sources

Les sources des programmes Scenari s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.1.02

La version 3.7.1.02, deuxième version stable de la série 3.7, est sortie le 01/12/2010 et apporte de nombreuses corrections. C'est une mise à jour recommandée si vous utilisiez une version Scenari 3.7 précédente, en particulier pour faire fonctionner les modèles sortis simultanément ou ultérieurement.

Attention : les packs produits avec SCENARIbuilder de la série "3.7.x" doivent être utilisés avec un des SCENARIchain 3.7.... (ou autre programme Scenari 3.7).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.7, 3.6 et son équivalent 3.5, en parallèle sur le même PC sans "interférence".

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatibles avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder (32bits) -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain (32bits)

SCENARIclient (32bits)

SCENARIserver

SCENARIstyler

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.0.17

La version 3.7.0.17, deuxième version stable de la série 3.7, est sortie le 01/12/2010 et apporte de nombreuses corrections. C'est une mise à jour recommandée si vous utilisiez une version Scenari 3.7 précédente, en particulier pour faire fonctionner les modèles sortis simultanément ou ultérieurement.

Attention : les packs produits avec SCENARIbuilder de la série "3.7.x" doivent être utilisés avec un des SCENARIchain 3.7.... (ou autre programme Scenari 3.7).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.7, 3.6 et son équivalent 3.5, en parallèle sur le même PC sans "interférence".

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatibles avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder (32bits) -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain (32bits)

SCENARIclient (32bits)

SCENARIserver

SCENARIstyler

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.0.14

La version 3.7.0.14, première version finale de la série 3.7, est sortie le 20/04/2010. Elle apporte un grand nombre de nouveautés, en particulier la conception de skins par SCENARIstyler et leur diffusion sous forme d'extension de modèle, la synchronisation automatique des wsppack du SCENARIserver vers les programmes clients, l'amélioration de l'éditeur de tableaux intégrés (fusion de cellule, ajout d'une colonne en fin de tableaux), enrichissement de la textprim (possibilité de rajouter des champs de meta), ajout du typage nombres et dates dans les dataforms... Liste complète des changements.

Attention : les packs produits avec SCENARIbuilder de la série "3.7.x" doivent être utilisés avec un des SCENARIchain 3.7.... (ou autre programme Scenari 3.7).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.7, 3.6 et son équivalent 3.5, en parallèle sur le même PC sans "interférence".

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatibles avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder (32bits) -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain (32bits)

SCENARIclient (32bits)

SCENARIserver

SCENARIstyler

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.0.09rc

La version 3.7.0.09rc est une version sortie le 15/01/2010. Cette version est classée "release candidate" : elle est prête à être utilisée en production, mais les retours d'usage ne sont pas significatifs pour la qualifier de "version finale".

Attention : les packs produits avec SCENARIbuilder de la série "3.7.x" doivent être utilisés avec un des SCENARIchain 3.7.... (ou autre programme Scenari 3.7).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.7, 3.6 et son équivalent 3.5, en parallèle sur le même PC sans "interférence".

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatibles avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain

SCENARIclient

SCENARIserver

SCENARIstyler

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.7.0.07beta

La version 3.7.0.07beta est une version de test sortie le 13/10/2009. Scenari 3.7 étant encore en pleine évolution, cette version fixe sera peut être plus stable que certaines versions "nightly", mais n'intègre pas les évolutions les plus récentes.

Attention : les packs produits avec SCENARIbuilder de la série "3.7.x" doivent être utilisés avec un des SCENARIchain 3.7.... (ou autre programme Scenari 3.7).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.7, 3.6 et son équivalent 3.5, en parallèle sur le même PC sans "interférence".

Linux

Il existe 3 méthodes d'installation des programmes Scenari (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus. La méthode d'installation ".deb pour Ubuntu et Debian" est compatible 32 et 64 bits, les autres méthodes sont compatibles avec les distributions 32 bits seulement, pour le moment.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain

SCENARIclient

SCENARIserver

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.6.1.00

La version 3.6.1.00 est la 3eme version stable de la série 3.6.x (nouvelle version depuis le 13/10/2009).

Elle comporte un ensemble très souhaitable de correctifs ou améliorations par rapport à la précédente version 3.6.0.13, en particulier la compatibilité avec MacOS X - Snow Leopard. C'est aussi la version minimum pour Opale 3.1 (compatibilité des transformations des formules LaTeX, correction de problèmes de drag & drop pour assessements sous IE8 en publication web...). Consultez http://scenari-platform.org/trac/dev-core/milestone/3.6.1 pour la liste des changements.

Attention : les packs produits avec SCENARIbuilder de la série "3.6.x" doivent être utilisés avec un des SCENARIchain 3.6.... (ou autre programme Scenari 3.6).

Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante. Vous pouvez installer un programme Scenari 3.6, 3.5 et son équivalent 3.4, en parallèle sur le même PC sans "interférence".

Linux

Il existe 2 méthodes d'installation plus pratiques que par l'utilisation des fichiers ci dessous (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder -Pack Modeling - Pack assesment (exercices) - SCENARIkit

SCENARIchain

SCENARIclient

SCENARIserver

Mac

Utilisez OpenOffice 3 sous mac si vous utilisez Scenari 3.5.201 ou une version supérieure. OpenOffice 2 est moins bien intégré au système MacOS X et nécessite des étapes de configuration plus complexes.

SCENARIbuilder - SCENARIkit

SCENARIchain pour MacSCENARIchain

SCENARIclient

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Version 3.5.2.02

La version 3.5.2.02 est la 4eme version stable de la série 3.5.x (nouvelle version depuis le 06/03/2009).

Elle corrige principalement des problèmes de génération web (sur les évaluations...) et sur les extensions firefox produites avec SCENARIbuilder. (détail des correctifs sur le wiki de développement)

Attention : les packs produits avec SCENARIbuilder de la série "3.5.x" doivent être utilisés avec un des SCENARIchain 3.5.... (ou autre programme Scenari 3.5). Les packs générés avec une autre version sont compatibles avec la version SCENARIchain correspondante.

Linux

Il existe 2 méthodes d'installation plus pratiques que par l'utilisation des fichiers ci dessous (sauf pour SCENARIserveur)

  • Source de package .deb pour les distributions Ubuntu et Debian

  • Script de téléchargement et d'installation "sci" pour les autres distributions

  • Téléchargement manuel des fichiers ci-dessous

Consultez la page : http://scenari-platform.org/trac/scenari/wiki/InstallLinux pour en savoir plus.

Pour SCENARIbuilder, attention, si vous n'utilisez pas le script d'installation "sci" pour linux vous devez impérativement installer le BuilderPack Modeling après l'installation de SCENARIbuilder.

SCENARIbuilder -Pack Modeling - Pack assesment (exercices) - SCENARIkit - Extension sound

SCENARIchain

SCENARIclient

SCENARIserver

Mac

Utilisez OpenOffice 3 sous mac si vous utilisez Scenari 3.5.201 ou une version supérieure. OpenOffice 2 est moins bien intégré au système MacOS X et nécessite des étapes de configuration plus complexes. SCENARIbuilder n'était pas encore disponible en version stable sous Mac OS X.

SCENARIchain pour MacSCENARIchain

SCENARIclient

Sources

Les sources des programmes SCENARI s'adressent uniquement aux développeurs, elles sont disponibles dans le dépôt subversion suivant :

Repository SVN

Licences

Le code source de ces applications est mis à disposition sous l'une ou l'autre des quatre licences listées ci-dessous (hors librairie ou exécutable tiers). Vous devez accepter au moins une de ces quatre licences pour exploiter tout ou partie du code source.

Ce sont des licences libres, parmi diverses clauses sachez que :

  • Vous (ou l'institution pour laquelle vous travaillez) êtes propriétaires des documents que vous produisez avec Scenari, les concepteurs de Scenari ne réclament évidement aucun droits sur vos documents.

  • Il n'y a pas de restriction sur la destination des usages ou le type de société qui peuvent utiliser Scenari (par exemple Scenari peut être utilisé pour créer des documents commerciaux).

Référez vous aux licences proposées pour connaître dans le détail les conditions de diffusion des logiciels Scenari.

Licences tierces

La suite logicielle SCENARI est packagée en fonction des systèmes d'exploitations avec différentes librairies ou executables tiers.

Licences tierces

Bugtracking

Si vous avez détecté un bug sur les applications SCENARI, postez sur le forum "modeller". Si vous travaillez sur un modèle en particulier, utilisez de préférence le forum du modèle, figurant dans la liste des forums.

En cas de bug avéré, créez ensuite un ticket sur le Bugtracking en respectant les bonnes pratiques de création de ticket.

Promouvoir et soutenir le logiciel libre